/**
 * JASMINe
 * Copyright (C) 2005-2007 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Constants.java 39 2007-12-12 14:51:20Z tokmensa $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.mbeancmd.graph.conf;

/**
 * Graph constants.
 */
public interface Constants {
    /**
     * Data types.
     */
    enum DataType {
        /**
         * Long.
         */
        LONG,

        /**
         * Double.
         */
        DOUBLE,

        /**
         * Time (long with 01/01/1970 as origin).
         */
        TIME
    }

    /**
     * Configuration file for the graph.
     */
    String GRAPH_CONFIG_PATH="graph.conf.path";

    /**
     * Date format: "Long".
     */
    String DATEFORMAT_LONG = "long";
}
